Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.google.web.bindery.requestfactory.shared.testing
Class FakeRequestTransport

    java.lang.Object
      com.google.web.bindery.requestfactory.shared.testing.FakeRequestTransport

All Implemented Interfaces:
  RequestTransport

    public class FakeRequestTransport

extends java.lang.Object
implements RequestTransport

A no-op implementation of `RequestTransport` that can be used for unit testing.

Nested Class Summary

Nested classes/interfaces inherited from interface com.google.web.bindery.requestfactory.shared.RequestTransport
`RequestTransport.TransportReceiver`

Constructor Summary
`FakeRequestTransport()`

Method Summary
`void` | `send(java.lang.String payload, RequestTransport.TransportReceiver receiver)` No-op.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FakeRequestTransport

    public FakeRequestTransport()

Method Detail

### send

    public void send(java.lang.String payload,
                     RequestTransport.TransportReceiver receiver)

  No-op.

  Specified by:
    `send` in interface `RequestTransport`
  Parameters:
    `payload` - the String payload
    `receiver` - the `RequestTransport.TransportReceiver` instance that will receive the payload

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| GWT 2.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD